export const toCamelCase = (str: string) => {
  return str
    .split(/[_\s-]+|(?=[A-Z])/)
    .map((word, index) =>
      index === 0
        ? word.toLowerCase()
        : word.charAt(0).toUpperCase() + word.slice(1).toLowerCase(),
    )
    .join('');
};

export const unpack = (obj: unknown) => {
  if (Array.isArray(obj)) {
    return obj.map((item) => unpack(item));
  } else if (obj !== null && typeof obj === 'object') {
    return Object.entries(obj).reduce((acc, [key, value]) => {
      const newKey = toCamelCase(key);
      acc[newKey] = unpack(value);
      return acc;
    }, {});
  }
  return obj;
};
