import {
  ParkFormTurbine,
  ParkFormValues,
} from '@components/pages/park-page/types';
import { TurbineTypeFormValues } from '@components/pages/turbine-type-page/types';

export const packTurbineTypes = (values: Partial<TurbineTypeFormValues>) => {
  return {
    Name: values.name ?? '',
    Height: parseInt(values.height || '0'),
    BladeLength: parseInt(values.bladeLength || '0'),
  };
};

export const packPark = (values: Partial<ParkFormValues>) => {
  return {
    Name: values.name ?? '',
    CenterLatitude: parseInt(values.centerLatitude || '0'),
    CenterLongitude: parseInt(values.centerLongitude || '0'),
  };
};

export const packParkTurbine = (turbine: ParkFormTurbine, parkId: number) => {
  return {
    wind_park_id: parkId,
    turbine_id: turbine.id,
    x_offset: parseInt(turbine.xOffset || '0'),
    y_offset: parseInt(turbine.yOffset || '0'),
    angle: parseInt(turbine.angle || '0'),
    comment: turbine.comment ?? '',
  };
};
