import './styles.scss';
import '@public/fonts/styles.css';

import { MainLayout } from '@components/layouts';
import {
  ParkPage,
  ParksPage,
  TurbineTypePage,
  TurbineTypesPage,
} from '@components/pages';
import { ROUTES } from '@utils/route';
import React from 'react';
import { BrowserRouter, Navigate, Route, Routes } from 'react-router-dom';

export function App() {
  return (
    <BrowserRouter>
      <Routes>
        <Route element={<MainLayout />}>
          <Route
            path={ROUTES.turbineTypes.path}
            element={<TurbineTypesPage />}
          />
          <Route path={ROUTES.turbineType.path} element={<TurbineTypePage />} />
          <Route path={ROUTES.parks.path} element={<ParksPage />} />
          <Route path={ROUTES.park.path} element={<ParkPage />} />
        </Route>
        <Route
          path="*"
          element={<Navigate to={ROUTES.turbineTypes.path} replace />}
        />
      </Routes>
    </BrowserRouter>
  );
}
