import { Header, Sidebar } from '@components/ux';
import { useDeviceType } from '@utils/device';
import React from 'react';
import { Outlet } from 'react-router-dom';

import styles from './styles.module.scss';

export function MainLayout() {
  const deviceType = useDeviceType();
  return (
    <div className={styles.mainLayout}>
      {deviceType === 'mobile' ? (
        <Header className={styles.header} />
      ) : (
        <Sidebar className={styles.sidebar} />
      )}
      <main className={styles.main}>
        <Outlet />
      </main>
    </div>
  );
}
