import { ParkWithTurbines } from '@api/wind';

import { ParkFormValues } from './types';

export const unpackPark = (park: ParkWithTurbines): ParkFormValues => {
  return {
    name: park.name,
    centerLatitude: String(park.centerLatitude),
    centerLongitude: String(park.centerLongitude),
    turbines: park.turbines.map((t) => ({
      id: t.id,
      name: t.name,
      xOffset: String(t.xOffset),
      yOffset: String(t.yOffset),
      angle: String(t.angle),
      comment: t.comment,
    })),
  };
};
