import { px } from '@utils/css';
import { CSSProperties } from 'react';

export const calcRippleWaveStyle = (
  x: number,
  y: number,
  ripple: HTMLDivElement,
): CSSProperties => {
  const wrapperRect = ripple.getBoundingClientRect();
  const diameter = Math.max(wrapperRect.width, wrapperRect.height);
  const radius = diameter / 2;
  const left = px(x - wrapperRect.left - radius);
  const top = px(y - wrapperRect.top - radius);
  return { left, top, width: px(diameter), height: px(diameter) };
};
