import { PreviewArticle } from '@components/ui/preview';
import React, { useState } from 'react';

import { Autocomplete } from './component';

export function AutocompletePreview() {
  const [selectValue, setSelectValue] = useState<string>();
  const options = ['Orange', 'Banana', 'Apple', 'Avocado'];

  return (
    <PreviewArticle title="Autocomplete">
      <Autocomplete
        options={options}
        getOptionKey={(o) => o}
        getOptionLabel={(o) => o}
        label={{ text: 'Select your favorite fruit' }}
        scale="s"
        value={selectValue}
        onChange={(o) => setSelectValue(o)}
        name="fruit"
      />
      <Autocomplete
        options={options}
        getOptionKey={(o) => o}
        getOptionLabel={(o) => o}
        label={{ text: 'Select your favorite fruit' }}
        scale="m"
        value={selectValue}
        onChange={(o) => setSelectValue(o)}
        name="fruit"
      />
      <Autocomplete
        options={options}
        getOptionKey={(o) => o}
        getOptionLabel={(o) => o}
        label={{ text: 'Select your favorite fruit' }}
        scale="l"
        value={selectValue}
        onChange={(o) => setSelectValue(o)}
        name="fruit"
      />
    </PreviewArticle>
  );
}
