import clsx from 'clsx';
import React from 'react';

import styles from './styles.module.scss';
import { CometProps } from './types';

export function Comet({
  scale = 'm',
  variant = 'onPrimary',
  className,
}: CometProps) {
  const classNames = clsx(
    styles.comet,
    styles[scale],
    styles[variant],
    className,
  );
  return <div className={classNames}></div>;
}
