import { Checkbox } from '@components/ui/checkbox';
import { Span } from '@components/ui/span';
import React from 'react';

import styles from './styles.module.scss';
import { DataGridRowProps } from './types';

export function DataGridRow<T>({
  object,
  columns,
  selected,
  onSelect,
  columnsTemplate,
}: DataGridRowProps<T>) {
  return (
    <div
      className={styles.row}
      style={{ gridTemplateColumns: columnsTemplate }}
    >
      <Checkbox
        checked={selected}
        label={{ className: styles.checkboxLabel }}
        onChange={onSelect}
      />
      {columns.map((column) => (
        <div className={styles.cell} key={column.name}>
          <Span>{column.getText(object)}</Span>
        </div>
      ))}
    </div>
  );
}
