import { ComponentPropsWithoutRef, Key } from 'react';

export type DataGridColumnConfig<T> = {
  name: string;
  getText: (object: T) => string;
  sortable?: boolean;
  width?: number;
};

export type DataGridSort = {
  order: 'asc' | 'desc';
  column: string;
};

export type DataGridProps<T> = {
  items: T[];
  columns: DataGridColumnConfig<T>[];
  getItemKey: (item: T) => Key;
  selectedItems?: T[];
  onItemsSelect?: (selectedItems: T[]) => void;
  multiselect?: boolean;
} & ComponentPropsWithoutRef<'div'>;
