import { PreviewArticle } from '@components/ui/preview';
import React, { useRef, useState } from 'react';

import { Button } from '../button';
import { Dialog } from './component';

export function DialogPreview() {
  const openButtonRef = useRef<HTMLButtonElement>(null);
  const [open, setOpen] = useState<boolean>(false);

  return (
    <PreviewArticle title="Dialog">
      <Button onClick={() => setOpen(true)} ref={openButtonRef}>
        Open dialog
      </Button>
      <Dialog
        open={open}
        onClose={() => setOpen(false)}
        heading="Dialog"
        message="Short dialog message"
        triggerElementRef={openButtonRef}
      >
        <div style={{ display: 'flex', gap: '10px' }}>
          <Button variant="secondary" onClick={() => setOpen(false)}>
            Cancel
          </Button>
          <Button onClick={() => setOpen(false)}>Confirm</Button>
        </div>
      </Dialog>
    </PreviewArticle>
  );
}
