import clsx from 'clsx';
import { createElement } from 'react';

import styles from './styles.module.scss';
import { HeadingProps, HeadingTag } from './types';

export function Heading<T extends HeadingTag>({
  tag,
  color = 't300',
  className,
  ...props
}: HeadingProps<T>) {
  const classNames = clsx(styles.heading, styles[color], className);
  return createElement(tag, { ...props, className: classNames });
}
