import clsx from 'clsx';
import React, { ForwardedRef, forwardRef } from 'react';

import { Ripple } from '../animation';
import { RawButton } from '../raw';
import styles from './styles.module.scss';
import { IconButtonProps } from './types';

function IconButtonInner(
  {
    variant = 'circle',
    scale = 'm',
    className,
    children,
    ...props
  }: IconButtonProps,
  ref: ForwardedRef<HTMLButtonElement>,
) {
  const buttonClassName = clsx(
    styles.button,
    styles[scale],
    styles[variant],
    className,
  );
  return (
    <RawButton className={buttonClassName} ref={ref} {...props}>
      {children}
      <Ripple />
    </RawButton>
  );
}

export const IconButton = forwardRef(IconButtonInner);
