import clsx from 'clsx';
import React from 'react';
import { Link } from 'react-router-dom';

import { Ripple } from '../animation';
import styles from './styles.module.scss';
import { LinkButtonProps } from './types';

export function LinkButton({
  scale = 'm',
  className,
  href,
  children,
  ...props
}: LinkButtonProps) {
  const linkClassName = clsx(styles.button, styles[scale], className);
  return (
    <Link className={linkClassName} to={href} {...props}>
      {children}
      <Ripple />
    </Link>
  );
}
