import React, { ForwardedRef, forwardRef } from 'react';

import { Label, LabelProps } from '../label';
import { NumberInput } from '../number-input';
import { NumberFieldProps } from './types';

function NumberFieldInner(
  { scale, label = {}, required, ...props }: Omit<NumberFieldProps, 'ref'>,
  ref: ForwardedRef<HTMLInputElement>,
) {
  const labelProps: LabelProps = {
    ...label,
    required: { value: required, ...label.required },
  };
  return (
    <Label scale={scale} {...labelProps}>
      <NumberInput
        scale={scale}
        ref={ref}
        required={required}
        {...props}
        invalid={label.error !== undefined}
      />
    </Label>
  );
}

export const NumberField = forwardRef(NumberFieldInner);
