import { Ripple } from '@components/ui/animation';
import { RawButton } from '@components/ui/raw';
import clsx from 'clsx';
import React from 'react';

import styles from './styles.module.scss';
import { PaginationItemProps } from './types';

export function PaginationItem({
  scale,
  variant,
  className,
  children,
  ...props
}: PaginationItemProps) {
  const itemClassName = clsx(
    styles.item,
    styles[variant],
    styles[scale],
    className,
  );
  return (
    <RawButton className={itemClassName} {...props}>
      {children}
      <Ripple />
    </RawButton>
  );
}
