export const getPageNumbers = (
  page: number,
  total: number,
  sibling: number,
  boundary: number,
): number[] => {
  const pages: number[] = [];
  const visible = Math.min(total, (boundary + sibling + 1) * 2 + 1);

  const isOverflow = visible !== total;
  const isLeftOverflow = isOverflow && page > boundary + sibling + 2;
  const isRightOverflow = isOverflow && total - page > boundary + sibling + 1;

  let cursor = 1;

  for (let i = 1; i <= visible; i += 1) {
    if (i === boundary + 1 && isLeftOverflow) {
      pages.push(null);
      cursor = Math.min(page - sibling, total - boundary - sibling * 2 - 1);
    } else if (i === visible - boundary && isRightOverflow) {
      pages.push(null);
      cursor = total - boundary + 1;
    } else {
      pages.push(cursor);
      cursor += 1;
    }
  }

  return pages;
};
