import clsx from 'clsx';
import React from 'react';

import styles from './styles.module.scss';
import { ParagraphProps } from './types';

export function Paragraph({
  scale = 'm',
  color = 't200',
  className,
  ...props
}: ParagraphProps) {
  const paragraphClassName = clsx(
    styles.paragraph,
    styles[scale],
    styles[color],
    className,
  );
  return <p className={paragraphClassName} {...props} />;
}
