import { Heading } from '@components/ui/heading';
import clsx from 'clsx';
import React from 'react';

import style from './styles.module.scss';
import { PreviewArticleProps } from './types';

export function PreviewArticle({
  title,
  className,
  children,
  ...props
}: PreviewArticleProps) {
  const classNames = clsx(style.article, className);
  return (
    <article className={classNames} {...props}>
      <header className={style.header}>
        <Heading tag="h3">{title}</Heading>
      </header>
      <div className={style.content}>{children}</div>
    </article>
  );
}
