import clsx from 'clsx';
import React, { ForwardedRef, forwardRef } from 'react';

import styles from './styles.module.scss';
import { RawButtonProps } from './types';

function RawButtonInner(
  { type = 'button', className, ...props }: Omit<RawButtonProps, 'ref'>,
  ref: ForwardedRef<HTMLButtonElement>,
) {
  const classes = clsx(styles.rawButton, className);
  return <button className={classes} ref={ref} type={type} {...props} />;
}

export const RawButton = forwardRef(RawButtonInner);
