import clsx from 'clsx';
import React, { ForwardedRef, forwardRef } from 'react';

import styles from './styles.module.scss';
import { RawInputProps } from './types';

function RawInputInner(
  { className, ...props }: Omit<RawInputProps, 'ref'>,
  ref: ForwardedRef<HTMLInputElement>,
) {
  const classes = clsx(styles.rawInput, className);
  return <input className={classes} ref={ref} {...props} />;
}

export const RawInput = forwardRef(RawInputInner);
