import { ComponentProps, Key } from 'react';

import { LabelProps } from '../label';
import { Scale } from '../types';

export type SelectProps<T> = {
  options: T[];
  value?: T;
  getOptionKey: (option: T) => Key;
  getOptionLabel: (option: T) => string;
  onChange?: (option: T) => void;
  scale?: Scale;
  label?: LabelProps;
  name?: string;
  id?: string;
} & Omit<ComponentProps<'div'>, 'onChange'>;
