import clsx from 'clsx';
import React from 'react';

import styles from './styles.module.scss';
import { SpanProps } from './types';

export function Span({
  scale = 'm',
  color = 't200',
  className,
  ...props
}: SpanProps) {
  const classNames = clsx(styles[scale], styles[color], className);
  return <span className={classNames} {...props} />;
}
