import clsx from 'clsx';
import React from 'react';

import { Label } from '../label';
import styles from './styles.module.scss';
import { TextAreaProps } from './types';

export function TextArea({
  scale = 'm',
  label = {},
  className,
  ...props
}: TextAreaProps) {
  const textAreaClassName = clsx(styles.textarea, styles[scale], className);
  return (
    <Label scale={scale} {...label}>
      <textarea {...props} className={textAreaClassName} />
    </Label>
  );
}
