import React, { ForwardedRef, forwardRef } from 'react';

import { Input } from '../input';
import { Label, LabelProps } from '../label';
import { TextInputProps } from './types';

function TextInputInner(
  { scale, label = {}, required, ...props }: Omit<TextInputProps, 'ref'>,
  ref: ForwardedRef<HTMLInputElement>,
) {
  const labelProps: LabelProps = {
    ...label,
    required: { value: required, ...label.required },
  };
  return (
    <Label scale={scale} {...labelProps}>
      <Input
        scale={scale}
        ref={ref}
        required={required}
        {...props}
        invalid={label.error !== undefined}
      />
    </Label>
  );
}

export const TextInput = forwardRef(TextInputInner);
