import { Ripple } from '@components/ui/animation';
import React from 'react';
import { Link } from 'react-router-dom';

import { NAVIGATION_LINKS } from './consts';
import styles from './styles.module.scss';

export function Navigation() {
  return (
    <nav className={styles.navigation}>
      {NAVIGATION_LINKS.map((link) => (
        <Link to={link.path} key={link.path} className={styles.link}>
          {link.title}
          <Ripple />
        </Link>
      ))}
    </nav>
  );
}
