import { ParkFormTurbine } from '@components/pages/park-page/types';
import React from 'react';

import { ParkTurbineTableHeader, ParkTurbineTableRow } from './components';
import { ParkTurbineTableProps } from './types';

export function ParkTurbineTable({
  turbines,
  onChange,
  selectedIDs,
  onSelect,
}: ParkTurbineTableProps) {
  const handleRowChange = (turbine: ParkFormTurbine, index: number) => {
    onChange(turbines.with(index, turbine));
  };

  const handleSelect = (turbineId: number) => {
    onSelect({ ...selectedIDs, [turbineId]: !selectedIDs[turbineId] });
  };

  return (
    <div>
      <ParkTurbineTableHeader />
      {turbines.map((turbine, index) => (
        <ParkTurbineTableRow
          turbine={turbine}
          onChange={(t) => handleRowChange(t, index)}
          selected={selectedIDs[turbine.id] ?? false}
          onSelect={() => handleSelect(turbine.id)}
          key={turbine.id}
        />
      ))}
    </div>
  );
}
