import { NumberInput } from '@components/ui';
import { Checkbox } from '@components/ui/checkbox';
import { Input } from '@components/ui/input';
import React from 'react';

import styles from './styles.module.scss';
import { ParkTurbineTableRowProps } from './types';

export function ParkTurbineTableRow({
  turbine,
  onChange,
  selected,
  onSelect,
}: ParkTurbineTableRowProps) {
  return (
    <div className={styles.row}>
      <Checkbox
        checked={selected}
        onChange={onSelect}
        label={{ className: styles.checkboxLabel }}
      />
      <Input value={turbine.id} wrapper={{ className: styles.cell }} disabled />
      <Input
        value={turbine.name}
        wrapper={{ className: styles.cell }}
        disabled
      />
      <NumberInput
        value={String(turbine.xOffset)}
        wrapper={{ className: styles.cell }}
        onChange={(value) => onChange({ ...turbine, xOffset: value })}
      />
      <NumberInput
        value={String(turbine.yOffset)}
        wrapper={{ className: styles.cell }}
        onChange={(value) => onChange({ ...turbine, yOffset: value })}
      />
      <NumberInput
        value={String(turbine.angle)}
        wrapper={{ className: styles.cell }}
        onChange={(value) => onChange({ ...turbine, angle: value })}
      />
      <Input
        value={turbine.comment}
        wrapper={{ className: styles.cell }}
        onChange={(event) =>
          onChange({ ...turbine, comment: event.target.value })
        }
      />
    </div>
  );
}
