import { Heading } from '@components/ui';
import clsx from 'clsx';
import React, { ForwardedRef, forwardRef } from 'react';

import { Navigation } from '../navigation';
import { ThemeSelect } from '../theme-select';
import styles from './styles.module.scss';
import { SidebarProps } from './types';

function SidebarInner(
  { className, ...props }: SidebarProps,
  ref: ForwardedRef<HTMLDivElement>,
) {
  const sidebarClassName = clsx(styles.sidebar, className);
  return (
    <div className={sidebarClassName} ref={ref} {...props}>
      <Heading tag="h3">Wind</Heading>
      <ThemeSelect />
      <Navigation />
    </div>
  );
}

export const Sidebar = forwardRef(SidebarInner);
