import { Select } from '@components/ui';
import { useColorThemeStore } from '@store/color-theme';
import { ColorTheme, THEMES } from '@utils/color-theme';
import React from 'react';

export function ThemeSelect() {
  const { theme, setTheme } = useColorThemeStore();

  const handleChange = (newTheme: ColorTheme) => {
    setTheme(newTheme);
  };

  return (
    <Select
      options={THEMES}
      value={theme}
      getOptionKey={(t) => t.key}
      getOptionLabel={(t) => t.name}
      onChange={handleChange}
      label={{ text: 'Theme' }}
      id="theme"
    />
  );
}
