import {
  getColorTheme,
  initializeColorTheme,
  setColorTheme,
} from '@utils/color-theme';
import { create } from 'zustand';

import { ColorThemeStore } from './types';

initializeColorTheme();

export const useColorThemeStore = create<ColorThemeStore>((set) => ({
  theme: getColorTheme(),
  setTheme: (theme) =>
    set(() => {
      setColorTheme(theme);
      return { theme };
    }),
}));
