import { useCallback } from 'react';

import { UseControlParams } from './types';

export const useControl = <T extends object>({
  storeRef,
}: UseControlParams<T>) => {
  return useCallback(<K extends keyof T>(name: K) => {
    const hash = storeRef.current.hash;
    const value = storeRef.current.values[name];
    const onChange = (value: T[K]) => {
      storeRef.current.values[name] = value;
    };
    return { name, hash, value, onChange };
  }, []);
};
