import { useEffect, useState } from 'react';

import { ControllerProps } from './types';

export function Controller<T>({
  name,
  hash,
  value,
  onChange,
  render,
}: ControllerProps<T>) {
  const [localValue, setLocalValue] = useState<T>(value);

  useEffect(() => {
    setLocalValue(value);
  }, [hash]);

  const handleChange = (value: T) => {
    setLocalValue(value);
    onChange(value);
  };

  return render({ name, value: localValue, onChange: handleChange });
}
