import { RegistredElement } from './types';

export const getInputValue = (element: RegistredElement) => {
  if (element instanceof HTMLInputElement) {
    if (element.type === 'checkbox' || element.type === 'radio') {
      return element.checked;
    }
    return element.value;
  } else if (element instanceof HTMLTextAreaElement) {
    return element.value;
  }
};

export const setInputValue = (
  element: RegistredElement,
  value: unknown,
): void => {
  if (!element) {
    return;
  }
  if (element instanceof HTMLInputElement) {
    if (element.type === 'checkbox' || element.type === 'radio') {
      element.checked = (value as boolean) ?? false;
    } else {
      element.value = (value as string) ?? '';
    }
  } else if (element instanceof HTMLTextAreaElement) {
    element.value = (value as string) ?? '';
  }
};
