import { useCallback, useState } from 'react';

import { FormValues } from '../types';
import { UseResetParams } from './types';

export const useReset = <T extends object>({ storeRef }: UseResetParams<T>) => {
  const [, setRenderSwitch] = useState<boolean>(true);

  return useCallback((newValues: FormValues<T>) => {
    storeRef.current.values = { ...newValues };
    storeRef.current.hash = new Date().getTime();
    setRenderSwitch((renderSwitch) => !renderSwitch);
  }, []);
};
