import { arrayToObject } from '@utils/array';

import { AppRoute, AppRouteName } from './types';

export const ROUTES: Record<AppRouteName, AppRoute> = {
  turbineTypes: { path: '/turbine-types', title: 'Turbine Types' },
  turbineType: { path: '/turbine-types/:id', title: 'Turbine Type' },
  parks: { path: '/parks', title: 'Parks' },
  park: { path: '/parks/:id', title: 'Park' },
};

export const routeArray = Object.values(ROUTES);

export const routeMap = arrayToObject(
  Object.keys(ROUTES) as AppRouteName[],
  (route) => ROUTES[route]?.path,
);
