# Заметки по Floris

## Описание
Здесь я буду описывать общую информацию для всех,
чтобы остальным не копать глубоко как пользоваться библиотекой


## Инициализация и концепты библиотеки

1) Для работы Floris **требуется** специальный конфигурационный yaml файл.
В нем хранятся базовые данные о ветряках - их расположения, сила ветра и тому подобное.
Базовое его содержимое не так важно, так как впоследствии их можно будет изменить напрямую в процессе работы программы
(Буду постепенно искать интересующие нас параметры)

2) Для инициализации используется класс `FlorisModel(yaml_path)` в библиотеке Floris. Объявляем переменную этим классом,
и передаем в него путь к нашему Yaml файлу
[Пример](https://nrel.github.io/floris/intro_concepts.html#build-the-model)

3) Для изменения параметров заданных в yaml файле, используется метод set
[Пример](https://nrel.github.io/floris/intro_concepts.html#run-the-floris-wake-calculation)

4) Запуск симуляции происходит с помощью ```fmodel.run()```
[Пример](https://nrel.github.io/floris/intro_concepts.html#run-the-floris-wake-calculation)

5) Получаем мощность турбин с помощью ```fmodel.get_turbine_powers()``` в ваттах в виде массива Numpy.
[Пример](https://nrel.github.io/floris/intro_concepts.html#get-turbine-power)

6) Для каждого ветряка можно задать Yaw угол (Что такое Yaw угол показано на картинке)
[Пример](https://nrel.github.io/floris/intro_concepts.html#applying-yaw-angles)

![Yaw_example.png](docs/Yaw_example.png)




## Параметры
1) farm - Общие настройки расположения турбин (Кол-во элементов, задает кол-во ветряков. Можно поставить 1 элемент,
в таком случае данные у всех ветряков будут одинаковые)
   1) layout_x - Список float координат турбин по оси X
   2) layout_y - Список float координат турбин по оси Y
   3) turbine_type - Список типов турбин
2) flow_field - Общие настройки атмосферных параметров (Кол-во элементов, задает кол-во экспериментов)
   1) wind_directions - Список float Направление ветра в градусах (при этом север принимается за 0° или 360°, 
   восток – за 90°, юг – за 180°, а запад – за 270°)
   2) turbulence_intensities - Список float силы? ветряков
   3) wind_speeds - Cписок скорости ветра (Наверное в м/с)