import datetime

import numpy as np
import matplotlib.pyplot as plt

from FlorisULSTU import FlorisULSTU
from OpenMeteoClient import OpenMeteoClient



# yaw_angles = np.zeros((4, 4))
# print("Yaw angle array initialized with 0's")
# print(yaw_angles)
#
# print("First turbine yawed 25 degrees for every atmospheric condition")
# yaw_angles[:, 0] = 25
# print(yaw_angles)
#
# fmodel.set(yaw_angles=yaw_angles)


if __name__ == "__main__":
    fmodel = FlorisULSTU("gch.yaml")

    layout_x = list(map(float, input(f"Please enter x coordinates for turbines\n").split()))
    layout_y = list(map(float, input(f"Please enter y coordinates for turbines\n").split()))

    fmodel.set(
        layout_x=layout_x, layout_y=layout_y,
    )

    client = OpenMeteoClient()

    wind_directions = list()
    wind_speeds = list()

    for i in range(len(layout_x)):
        i_result = client.get_weather_info(layout_x[i], layout_y[i], datetime.datetime.now().date(), datetime.datetime.now().date())
        wind_speeds.extend(i_result[0])
        wind_directions.extend(i_result[1])

    print(wind_directions)
    print('test')
    print(wind_speeds)

    fmodel.set(
        wind_directions=wind_directions, wind_speeds=wind_speeds, turbulence_intensities=[0.1] * len(wind_directions),
    )

    fmodel.run()

    powers = fmodel.get_turbine_powers() / 1000.0

    print("Dimensions of `powers`")
    print(np.shape(powers))

    N_TURBINES = fmodel.core.farm.n_turbines

    print()
    print("Turbine powers for 8 m/s")
    for i in range(2):
        print(f"Wind condition {i}")
        for j in range(N_TURBINES):
            print(f"  Turbine {j} - {powers[i, j]:7,.2f} kW")
        print()

    print("Turbine powers for all turbines at all wind conditions")
    print(powers)

